> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all invoices

GET https://api.propexo.com/v1/invoices/

Get all invoices

Reference: https://docs.propexo.com/api-reference/rentvine/invoices/get-all-invoices

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of V1InvoicesGetOutputResultsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1InvoicesGetOutputResultsItems

- `id` (string, required) — The Propexo unique identifier for the invoice
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RENTVINE
- `x_vendor_id` (string, required, nullable) — The external ID of the vendor from the integration vendor | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `x_financial_account_id` (any, required) — The external ID of the financial account from the integration vendorThis field will always be null for RENTVINE
- `x_cash_financial_account_id` (any, required) — The external ID of the cash financial account from the integration vendorThis field will always be null for RENTVINE
- `x_ap_financial_account_id` (any, required) — The external ID of the AP financial account from the integration vendorThis field will always be null for RENTVINE
- `amount_due_in_cents` (any, required) — The amount due on the invoice, in centsThis field will always be null for RENTVINE
- `amount_paid_in_cents` (any, required) — The amount paid on the invoice, in centsThis field will always be null for RENTVINE
- `custom_data` (V1InvoicesGetOutputResultsItemsCustomData, required, nullable)
- `due_date` (string, required, nullable) — The due date associated with the invoice | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `discount_amount_in_cents` (any, required) — The deposit amount in cents associated with the invoiceThis field will always be null for RENTVINE
- `discount_date` (any, required) — The date a discount was issued on invoiceThis field will always be null for RENTVINE
- `invoice_date` (string, required, nullable) — The date the invoice was issued | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `invoice_number` (string, required, nullable) — The reference number for the invoice | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `notes` (string, required, nullable) — Notes associated with the invoice | Method | Interface | |---|---| | GET /api/manager/accounting/bills | Accounting |
- `post_date` (any, required) — The date the invoice was posted. Some PMS systems only show the month.This field will always be null for RENTVINE
- `post_month` (any, required) — The month the invoice was posted.This field will always be null for RENTVINE
- `post_status_raw` (any, required) — The raw post status associated with the invoiceThis field will always be null for RENTVINE
- `sub_total_amount_in_cents` (any, required) — The sub total amount of the invoiceThis field will always be null for RENTVINE
- `total_amount_in_cents` (any, required) — The amount of the invoice, in centsThis field will always be null for RENTVINE
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (any, required) — The Propexo unique identifier for the financial accountThis field will always be null for RENTVINE
- `cash_financial_account_id` (any, required) — The Propexo unique identifier for the cash financial accountThis field will always be null for RENTVINE
- `ap_financial_account_id` (any, required) — The Propexo unique identifier for the ap financial accountThis field will always be null for RENTVINE
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `RENTVINE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RESMAN`, `YARDI`, `YARDI_REST`
- `invoice_items` (list of V1InvoicesGetOutputResultsItemsInvoiceItemsItems, required) — The invoice list items associated with the invoiceThis field is not currently hydrated for RENTVINE

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1InvoicesGetOutputResultsItemsCustomData

### V1InvoicesGetOutputResultsItemsInvoiceItemsItems

- `x_id` (string, required) — The external ID from the integration vendor
- `x_property_id` (string, required) — The external ID of the property from the integration vendor
- `x_location_id` (string, required, nullable) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `x_gl_account_id` (string, required, nullable) — The external ID of the financial account from the integration vendorThis field is not currently hydrated for RENTVINE
- `x_cash_financial_account_id` (string, required, nullable) — The external ID of the cash financial account from the integration vendorThis field is not currently hydrated for RENTVINE
- `invoice_id` (string, required) — The Propexo unique identifier for the invoiceThis field is not currently hydrated for RENTVINE
- `construction_job_id` (string, required, nullable) — The Propexo unique identifier for the construction jobThis field is not currently hydrated for RENTVINE
- `amount_due_in_cents` (double, required, nullable) — The amount due on the invoice item, in centsThis field is not currently hydrated for RENTVINE
- `notes` (string, required, nullable) — Notes associated with the invoice itemThis field is not currently hydrated for RENTVINE
- `total_amount_in_cents` (double, required, nullable) — The amount of the invoice item, in centsThis field is not currently hydrated for RENTVINE
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial accountThis field is not currently hydrated for RENTVINE
- `cash_financial_account_id` (string, required, nullable) — The Propexo unique identifier for the cash financial accountThis field is not currently hydrated for RENTVINE

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "1598645",
      "x_property_id": "na",
      "x_location_id": null,
      "x_vendor_id": "13456",
      "x_financial_account_id": null,
      "x_cash_financial_account_id": null,
      "x_ap_financial_account_id": null,
      "amount_due_in_cents": null,
      "amount_paid_in_cents": null,
      "custom_data": {},
      "due_date": "2025-01-01T00:00:00.000Z",
      "discount_amount_in_cents": null,
      "discount_date": null,
      "invoice_date": "2025-01-01T00:00:00.000Z",
      "invoice_number": "123ABC456",
      "notes": "Cleaning fee",
      "post_date": null,
      "post_month": null,
      "post_status_raw": null,
      "sub_total_amount_in_cents": null,
      "total_amount_in_cents": null,
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "financial_account_id": null,
      "cash_financial_account_id": null,
      "ap_financial_account_id": null,
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "RENTVINE",
      "invoice_items": [
        {
          "x_id": "invitem-00123",
          "x_property_id": "prop-98765",
          "x_location_id": null,
          "x_gl_account_id": null,
          "x_cash_financial_account_id": null,
          "invoice_id": "clwktsp9v000008l31iv218hn",
          "construction_job_id": null,
          "amount_due_in_cents": 10000,
          "notes": "Monthly maintenance charge",
          "total_amount_in_cents": 100000,
          "property_id": "clwi5xiix000008l6ctdgafyh",
          "financial_account_id": null,
          "cash_financial_account_id": null
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/invoices/"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/invoices/';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/invoices/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/invoices/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/invoices/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/invoices/', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/invoices/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/invoices/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```